Bug 114346 - RFE to include afio in FC
Summary: RFE to include afio in FC
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: cpio   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-26 23:14 UTC by Jesse Keating
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-13 23:41:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2004-01-26 23:14:40 UTC
Afio makes cpio-format archives.  It deals somewhat gracefully with
input data corruption.  Supports multi-volume archives during
interactive operation.  Afio can make compressed archives that are
much safer than compressed tar or cpio archives.  Afio is best used as
an `archive engine' in a backup script.
 
afio is also a dep of mondo restore, so it will need to be included.

I have been making afio rpms for a while, originally based upon the
power-tools version, updated now to 2.5.

http://geek.j2solutions.net/rpms/fc2/afio-2.5-1.src.rpm

Comment 1 Jesse Keating 2004-01-26 23:20:48 UTC
To go along with afio for mondo, a few other things are necessary. 
lzo and lzop which are on a different bug, and buffer.

Buffer:
This is a program designed to speed up writing tapes on remote tape
drives. After startup it splits itself into two processes.  The first
process reads (and reblocks) from stdin into a shared memory buffer.
The second writes from the shared memory buffer to stdout.  Doing it
this way
means that the writing side effectly sits in a tight write loop and
doesn't have to wait for input.  Similarly for the input side.  It is
this waiting that slows down other reblocking processes, like dd.

http://geek.j2solutions.net/rpms/fc2/buffer-1.19-6.src.rpm

Comment 2 Rahul Sundaram 2005-08-13 23:41:59 UTC
Jesse,

Look into packaging this for Fedora Extras repository. If you have them packaged
there already, a proposal to fedora-devel list would be a good idea


Note You need to log in before you can comment on or make changes to this bug.